> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize outlook_calendar sandbox with data

> Initialize the sandbox with outlook_calendar-specific data following the defined schema.



## OpenAPI

````yaml post /sandbox/outlook_calendar/{sandbox_id}/initialize
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/outlook_calendar/{sandbox_id}/initialize:
    post:
      tags:
        - sandbox
      summary: Initialize outlook_calendar sandbox with data
      description: >-
        Initialize the sandbox with outlook_calendar-specific data following the
        defined schema.
      operationId: initialize_sandbox_sandbox_outlook_calendar__sandbox_id__initialize_post
      parameters:
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
        - name: init_default_data
          in: query
          required: false
          schema:
            type: boolean
            description: If true, use default test data for initialization
            default: false
            title: Init Default Data
          description: If true, use default test data for initialization
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/OutlookCalendarData'
                - type: 'null'
              title: Request Body
            examples:
              default:
                summary: Example initialization data
                value:
                  calendar_events:
                    - title: Team Meeting
                      start_time:
                        dateTime: '2025-11-20T14:00:00'
                        timeZone: UTC
                      end_time:
                        dateTime: '2025-11-20T15:00:00'
                        timeZone: UTC
                      event_location: Conference Room A
                    - title: Project Review
                      start_time:
                        dateTime: '2025-11-21T10:00:00'
                        timeZone: UTC
                      end_time:
                        dateTime: '2025-11-21T12:00:00'
                        timeZone: UTC
                      event_location: Virtual
                      event_attendees:
                        - colleague@example.com
                        - manager@example.com
                    - title: 1:1 with Manager
                      start_time:
                        dateTime: '2025-11-22T15:00:00'
                        timeZone: UTC
                      end_time:
                        dateTime: '2025-11-22T15:30:00'
                        timeZone: UTC
                    - title: Sprint Planning
                      start_time:
                        dateTime: '2025-11-23T09:00:00'
                        timeZone: UTC
                      end_time:
                        dateTime: '2025-11-23T11:00:00'
                        timeZone: UTC
                      event_location: Main Office - Room 301
                      event_attendees:
                        - dev1@example.com
                        - dev2@example.com
                        - pm@example.com
                    - title: Client Presentation
                      start_time:
                        dateTime: '2025-11-24T14:00:00'
                        timeZone: UTC
                      end_time:
                        dateTime: '2025-11-24T16:00:00'
                        timeZone: UTC
                      event_location: Zoom Meeting
                      event_attendees:
                        - client@company.com
                        - sales@example.com
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitializeSandboxResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OutlookCalendarData:
      properties:
        calendar_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/OutlookCalendarEvent'
              type: array
            - type: 'null'
          title: Calendar Events
          description: List of calendar events
      type: object
      title: OutlookCalendarData
      description: Complete Outlook Calendar sandbox data structure
    InitializeSandboxResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Sandbox identifier
        status:
          $ref: '#/components/schemas/SandboxStatus'
          description: Current status
        message:
          type: string
          title: Message
          description: Initialization result message
      type: object
      required:
        - sandbox_id
        - status
        - message
      title: InitializeSandboxResponse
      description: Response model for sandbox initialization
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutlookCalendarEvent:
      properties:
        event_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Id
          description: Event ID (read-only, set by Outlook)
        title:
          type: string
          title: Title
          description: Event subject/title
        start_time:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Start Time
          description: Start time with dateTime and timeZone
        end_time:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: End Time
          description: End time with dateTime and timeZone
        event_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Location
          description: Location name
        event_attendees:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Event Attendees
          description: List of attendee email addresses (e.g., ['user@example.com'])
      type: object
      required:
        - title
      title: OutlookCalendarEvent
      description: Outlook Calendar Event object
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````